{% extends 'main/layout.html' %}

{% block titile  %}
   Вакансии
{% endblock %}

{% block content %}
    <main class="main">

        <section class="vacanses">
            <div class="vacanses__wrapper">
                <div class="vacanses__list">
                    <form action="{% url 'vacanse' %}" class="vacanses__search search">
                        <label class="search__label" for="search">Поиск</label>
                        <input class="search__input" name="search" type="search" placeholder="Найти вакансию">
                        <button class="search__button" type="submit">Найти</button>
                    </form>
                    {% for razdel in category %}
                    <a href="/category/{{ razdel.id }}">{{ razdel.name }}</a>
                    {% endfor %}
                    {% for el in page_obj %}
                    <div class="list__item item">
                        <a href="{{ el.get_absolute_url }}">
                            <div class="item-column">
                                <p class="item__headding">{{ el.title }}</p>
                                <p class="item__mini-info">{{ el.info }}</p>
                                <div class="box-for-button">
                                    <a href="{{ el.get_absolute_url }}" class="item__detail">Откликнуться</a>
                                    <a href="tel:89779033937" class="item__phone">Позвонить</a>
                                </div>
                            </div>
                        </a>
                    </div> 
                    {% endfor %}
                    {% if page_obj.has_other_pages %}
                    <nav class="vacanses__nav nav">
                        <ul class="nav__list">
                            {% for p in page_obj.paginator.page_range %}
                            {% if page_obj.number == p %}
                            <li class="nav__item"><p class="active__page">{{ p }}</p></li>
                            {% elif p >= page_obj.number|add:-2 and p <= page_obj.number|add:2 %}
                            <li class="nav__item">
                                <a href="?page={{p}}" class="nav__link">{{ p }}</a>
                            </li>
                            {% endif %}
                            {% endfor %}
                        </ul>
                    </nav>
                    {% endif %}
                </div>
            </div>
        </section>
        
    </main>
{% endblock %}